# RMT-Clock-PHP

This is a full remake of the now deprecated AHK version of Rocknarok Multiverse Time Clock, now re-written in PHP.

This version is more up-to-date and accurate with the current post-revamp Rocknarok Multiverse canonical timeline.

## Live Clock

[You can see the live version running here](https://rmt.yandols.xyz).

The webpage makes your browser send a request to the server API every second to update the clock. If any of the clocks freeze or stop working, refresh the page to get it working again. It's a little inefficient, so hopefully it can be improved in the future.

## API

Each timezone in a universe is regarded as a *server*. Send a `POST` request to `servertime.php` with the server name in the data contents and you will be returned the current time of the requested server.

Current available servers:

* `ru_general` - General Timezone for Rocknarok Universe
* `ssu_general` - General Timezone for St. Sky Universe
* `ku_general` - General Timezone for Kocharion Universe

A General Timezone represents what is considered the central time of the universe *(eg: the greenwich of a universe)*. More specific timezones for prominent locations of each universe will be implemented once the clock refresh code has been made more efficient than it currently is.

## Old version

If you want to have a look at the deprecated version of the Rocknarok Multiverse Time Clock, it can still be downloaded [here](https://kin.yandols.xyz/rmt-clock-update2.rar) but is outdated and no longer considered canon. The included self-updater no longer works either as it tries to connect to a domain that no longer exists.
